Get recurrence request
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/requests/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/requests/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"counterparty_bank_account_id": "019f2433-fc97-7566-84ad-5434d7552b5e",
"counterparty_id": "019f2433-fc97-3749-e9e3-9bdc4342480b",
"counterparty_seq": 1,
"expiration_date": "2026-07-02T19:00:14.615303Z",
"id": "019f2433-fc97-c6c0-c99d-1ea6493fb153",
"id_solic_rec": "1234567890",
"inserted_at": "2026-07-02T19:00:14.615305Z",
"recurrence_id": "019f2433-fc97-8d99-fc31-cf9409b24fe3",
"recurrence_timestamp": "2026-07-02T19:00:14.615302Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.615295Z",
"updated_at": "2026-07-02T19:00:14.615305Z"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Recurrences (Pix)
Get Recurrence Request
Get recurrence request
GET
/
banking
/
cashin
/
pix
/
recurrences
/
requests
/
{id}
Get recurrence request
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Request ID Unique identifier
Query Parameters
Entity Id Unique identifier
Bank Account Id Unique identifier
Virtual Account Id Unique identifier
Load stages?
Response
Request
Recurrence Request response
A recurrence Request
Show child attributes
Show child attributes
Example:
{
"counterparty_bank_account_id": "019f2433-fc97-7566-84ad-5434d7552b5e",
"counterparty_id": "019f2433-fc97-3749-e9e3-9bdc4342480b",
"counterparty_seq": 1,
"expiration_date": "2026-07-02T19:00:14.615303Z",
"id": "019f2433-fc97-c6c0-c99d-1ea6493fb153",
"id_solic_rec": "1234567890",
"inserted_at": "2026-07-02T19:00:14.615305Z",
"recurrence_id": "019f2433-fc97-8d99-fc31-cf9409b24fe3",
"recurrence_timestamp": "2026-07-02T19:00:14.615302Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.615295Z",
"updated_at": "2026-07-02T19:00:14.615305Z"
}
⌘I

